diff --git a/src/main/java/net/minecraft/client/render/texturepack/TexturePackDefault.java b/src/main/java/net/minecraft/client/render/texturepack/TexturePackDefault.java
index b2f11687e..7428e1650 100644
--- a/src/main/java/net/minecraft/client/render/texturepack/TexturePackDefault.java
+++ b/src/main/java/net/minecraft/client/render/texturepack/TexturePackDefault.java
@@ -8,13 +8,13 @@ import javax.imageio.ImageIO;
 
 import com.mojang.logging.LogUtils;
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.render.texture.BufferedTexture;
+import net.minecraft.client.render.texture.TextureBuffered;
 import org.slf4j.Logger;
 
 public class TexturePackDefault extends TexturePack
 {
     private static final Logger LOGGER = LogUtils.getLogger();
-    private BufferedTexture texturePackThumbnailTexture;
+    private TextureBuffered texturePackThumbnailTexture;
     private BufferedImage texturePackThumbnail;
 
     public TexturePackDefault()
diff --git a/src/main/java/net/minecraft/client/sound/SoundCategoryHelper.java b/src/main/java/net/minecraft/client/sound/SoundCategoryHelper.java
index 73fa45e5a..f12b0a0da 100644
--- a/src/main/java/net/minecraft/client/sound/SoundCategoryHelper.java
+++ b/src/main/java/net/minecraft/client/sound/SoundCategoryHelper.java
@@ -2,7 +2,7 @@ package net.minecraft.client.sound;
 
 import com.mojang.logging.LogUtils;
 import net.minecraft.client.option.GameSettings;
-import net.minecraft.client.option.VolumeOption;
+import net.minecraft.client.option.OptionVolume;
 import net.minecraft.core.sound.SoundCategory;
 import org.slf4j.Logger;
 
@@ -51,7 +51,7 @@ public class SoundCategoryHelper
 
         try
         {
-            return ((VolumeOption) field.get(gameSettings)).value;
+            return ((OptionVolume) field.get(gameSettings)).value;
         }
         catch (Exception e)
         {
@@ -67,7 +67,7 @@ public class SoundCategoryHelper
 
         try
         {
-            float value = ((VolumeOption) field.get(gameSettings)).value;
+            float value = ((OptionVolume) field.get(gameSettings)).value;
             return value * gameSettings.masterVolume.value;
         }
         catch (Exception e)
@@ -84,7 +84,7 @@ public class SoundCategoryHelper
 
         try
         {
-            VolumeOption option = (VolumeOption) field.get(gameSettings);
+            OptionVolume option = (OptionVolume) field.get(gameSettings);
             option.value = value;
         }
         catch (Exception e)
diff --git a/src/main/java/net/minecraft/client/util/helper/ItemDragHandler.java b/src/main/java/net/minecraft/client/util/helper/ItemDragHandler.java
index a179ad506..6b41dc830 100644
--- a/src/main/java/net/minecraft/client/util/helper/ItemDragHandler.java
+++ b/src/main/java/net/minecraft/client/util/helper/ItemDragHandler.java
@@ -11,7 +11,7 @@ import org.lwjgl.input.Keyboard;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.Gui;
-import net.minecraft.client.gui.container.AbstractContainerScreen;
+import net.minecraft.client.gui.container.ScreenContainerAbstract;
 import net.minecraft.client.gui.ItemElement;
 import net.minecraft.core.InventoryAction;
 import net.minecraft.core.item.ItemStack;
@@ -20,7 +20,7 @@ import net.minecraft.core.player.inventory.slot.Slot;
 public class ItemDragHandler extends Gui {
 	
 	public final Minecraft mc;
-	public final AbstractContainerScreen container;
+	public final ScreenContainerAbstract container;
 	public final ItemElement itemElement;
 	
 	private int renderOffsetX;
@@ -45,7 +45,7 @@ public class ItemDragHandler extends Gui {
 	private boolean lastClickHoldingItem = false;
 	private boolean doubleClick = false;
 	
-	public ItemDragHandler(Minecraft minecraft, AbstractContainerScreen screen, ItemElement itemElement) {
+	public ItemDragHandler(Minecraft minecraft, ScreenContainerAbstract screen, ItemElement itemElement) {
 		this.mc = minecraft;
 		this.container = screen;
 		this.itemElement = itemElement;
diff --git a/src/main/java/net/minecraft/client/world/WorldClient.java b/src/main/java/net/minecraft/client/world/WorldClient.java
index e26ac9d9b..6ebf4e6f4 100644
--- a/src/main/java/net/minecraft/client/world/WorldClient.java
+++ b/src/main/java/net/minecraft/client/world/WorldClient.java
@@ -1,7 +1,7 @@
 package net.minecraft.client.world;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.net.handler.ClientPacketHandler;
+import net.minecraft.client.net.handler.PacketHandlerClient;
 import net.minecraft.client.world.chunk.provider.ChunkProviderClient;
 import net.minecraft.core.data.gamerule.GameRules;
 import net.minecraft.core.data.registry.Registries;
@@ -20,20 +20,20 @@ import java.util.Set;
 
 // Referenced classes of package net.minecraft.src:
 //            World, SaveHandlerMP, WorldProvider, MCHash, 
-//            ChunkCoordinates, ClientPacketHandler, IWorldAccess, Entity,
+//            ChunkCoordinates, PacketHandlerClient, IWorldAccess, Entity,
 //            WorldBlockPositionType, ChunkProviderClient, DisconnectPacket, WorldInfo,
 //            IChunkProvider
 
 public class WorldClient extends World {
     private final Minecraft mc;
     private final LinkedList<WorldBlockPositionType> positionTypesList;
-    private final ClientPacketHandler sendQueue;
+    private final PacketHandlerClient sendQueue;
     private ChunkProviderClient chunkCache;
     private final IntHashMap<Entity> entitiesById;
     private final Set<Entity> forced;
     private final Set<Entity> reEntries;
 
-    public WorldClient(Minecraft minecraft, ClientPacketHandler netclienthandler, long seed, int dimensionId, int worldTypeId)
+    public WorldClient(Minecraft minecraft, PacketHandlerClient netclienthandler, long seed, int dimensionId, int worldTypeId)
     {
         super(new SaveHandlerClientMP(), "MpServer", Dimension.getDimensionList().get(dimensionId), Registries.WORLD_TYPES.getItemByNumericId(worldTypeId), seed);
         this.mc = minecraft;
diff --git a/src/main/java/net/minecraft/core/block/Block.java b/src/main/java/net/minecraft/core/block/Block.java
index bd4dceb6b..3f0250c31 100644
--- a/src/main/java/net/minecraft/core/block/Block.java
+++ b/src/main/java/net/minecraft/core/block/Block.java
@@ -9,9 +9,11 @@ import java.util.Random;
 import java.util.function.Function;
 import java.util.function.Supplier;
 
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
+import net.minecraft.core.block.entity.TileEntityActivator;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.support.FullSupport;
 import net.minecraft.core.block.support.ISupport;
+import net.minecraft.core.entity.EntityFallingBlock;
 import net.minecraft.core.util.helper.Direction;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
@@ -20,22 +22,21 @@ import com.b100.utils.Utils;
 
 import net.minecraft.core.achievement.stat.Stat;
 import net.minecraft.core.achievement.stat.StatList;
-import net.minecraft.core.block.entity.BlockEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.block.material.MaterialColor;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.data.tag.ITaggable;
 import net.minecraft.core.data.tag.Tag;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.ItemEntity;
+import net.minecraft.core.entity.EntityItem;
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.IItemConvertible;
 import net.minecraft.core.item.Item;
 import net.minecraft.core.item.ItemStack;
-import net.minecraft.core.item.ToolShearsItem;
-import net.minecraft.core.item.block.BlockItem;
+import net.minecraft.core.item.tool.ItemToolShears;
+import net.minecraft.core.item.block.ItemBlock;
 import net.minecraft.core.sound.BlockSound;
 import net.minecraft.core.sound.BlockSounds;
 import net.minecraft.core.util.HardIllegalArgumentException;
@@ -249,14 +250,14 @@ public class Block
     }
 
     /**
-     * Make sure if this gets overridden in a block that {@link Block#getBreakResult(World, EnumDropCause, int, BlockEntity)} also has a valid method since {@link net.minecraft.core.entity.FallingBlockEntity FallingBlockEntity} uses it!
+     * Make sure if this gets overridden in a block that {@link Block#getBreakResult(World, EnumDropCause, int, TileEntity)} also has a valid method since {@link EntityFallingBlock EntityFallingBlock} uses it!
      */
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int x, int y, int z, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int x, int y, int z, int meta, TileEntity tileEntity)
     {
-        return getBreakResult(world, dropCause, meta, blockEntity);
+        return getBreakResult(world, dropCause, meta, tileEntity);
     }
 
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         if (dropCause != EnumDropCause.IMPROPER_TOOL)
         {
@@ -554,7 +555,7 @@ public class Block
         return false;
     }
 
-    public void onActivatorInteract(World world, int x, int y, int z, ActivatorBlockEntity activator, Direction direction) {
+    public void onActivatorInteract(World world, int x, int y, int z, TileEntityActivator activator, Direction direction) {
     }
 
     public void onEntityWalking(World world, int x, int y, int z, Entity entity)
@@ -601,7 +602,7 @@ public class Block
         return false;
     }
 
-    public void harvestBlock(World world, Player player, int x, int y, int z, int meta, BlockEntity blockEntity)
+    public void harvestBlock(World world, Player player, int x, int y, int z, int meta, TileEntity tileEntity)
     {
     	player.addStat(getStat(StatList.STAT_MINED), 1);
 
@@ -612,13 +613,13 @@ public class Block
         {
             if (heldItem.isSilkTouch() && player.canHarvestBlock(this))
             {
-                dropBlockWithCause(world, EnumDropCause.SILK_TOUCH, x, y, z, meta, blockEntity, player);
+                dropBlockWithCause(world, EnumDropCause.SILK_TOUCH, x, y, z, meta, tileEntity, player);
                 return;
             }
-            else if (heldItem instanceof ToolShearsItem && (this.hasTag(BlockTags.SHEARS_DO_SILK_TOUCH) || this.hasTag(BlockTags.MINEABLE_BY_SHEARS)))
+            else if (heldItem instanceof ItemToolShears && (this.hasTag(BlockTags.SHEARS_DO_SILK_TOUCH) || this.hasTag(BlockTags.MINEABLE_BY_SHEARS)))
             {
-                ToolShearsItem heldShears = (ToolShearsItem) heldItem;
-                dropBlockWithCause(world, EnumDropCause.SILK_TOUCH, x, y, z, meta, blockEntity, player);
+                ItemToolShears heldShears = (ItemToolShears) heldItem;
+                dropBlockWithCause(world, EnumDropCause.SILK_TOUCH, x, y, z, meta, tileEntity, player);
                 heldShears.onBlockSheared(player, heldItemStack);
                 return;
             }
@@ -626,11 +627,11 @@ public class Block
 
         if (player.canHarvestBlock(this))
         {
-            dropBlockWithCause(world, EnumDropCause.PROPER_TOOL, x, y, z, meta, blockEntity, player);
+            dropBlockWithCause(world, EnumDropCause.PROPER_TOOL, x, y, z, meta, tileEntity, player);
         }
         else
         {
-            dropBlockWithCause(world, EnumDropCause.IMPROPER_TOOL, x, y, z, meta, blockEntity, player);
+            dropBlockWithCause(world, EnumDropCause.IMPROPER_TOOL, x, y, z, meta, tileEntity, player);
         }
 	}
 
@@ -639,11 +640,11 @@ public class Block
         return asItem().getStat(statID);
     }
 
-	public void dropBlockWithCause(World world, EnumDropCause cause, int x, int y, int z, int meta, BlockEntity blockEntity, Player player) {
+	public void dropBlockWithCause(World world, EnumDropCause cause, int x, int y, int z, int meta, TileEntity tileEntity, Player player) {
 		if(world.isClientSide)
 			return;
 
-		ItemStack[] drops = getBreakResult(world, cause, x, y, z, meta, blockEntity);
+		ItemStack[] drops = getBreakResult(world, cause, x, y, z, meta, tileEntity);
 		if(dropOverride > 0) {
 			drops = new ItemStack[] { Item.itemsList[dropOverride].getDefaultStack() };
 		}
@@ -658,7 +659,7 @@ public class Block
 						continue;
 					}
 				}
-				if(ItemEntity.enableItemClumping) {
+				if(EntityItem.enableItemClumping) {
 					world.dropItem(x, y, z, drop.copy());
 				}else {
 					for(int i = 0; i < drop.stackSize; i++) {
@@ -808,7 +809,7 @@ public class Block
     	return null;
     }
     @NotNull
-    public Supplier<Item> blockItemSupplier = () -> new BlockItem(this);
+    public Supplier<Item> blockItemSupplier = () -> new ItemBlock(this);
 
     @Override
 	public boolean isIn(Tag<Block> tag) {
diff --git a/src/main/java/net/minecraft/core/block/ActivatorBlock.java b/src/main/java/net/minecraft/core/block/BlockActivator.java
similarity index 85%
rename from src/main/java/net/minecraft/core/block/ActivatorBlock.java
rename to src/main/java/net/minecraft/core/block/BlockActivator.java
index 15db03bcf..703d8f102 100644
--- a/src/main/java/net/minecraft/core/block/ActivatorBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockActivator.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntityActivator;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.Item;
@@ -14,10 +14,10 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-public class ActivatorBlock extends VeryRotatableEntityBlock
+public class BlockActivator extends BlockTileEntityVeryRotatable
 {
     public static final int MASK_POWERED = 0b0000_1000;
-    public ActivatorBlock(String key, String namespaceId, int id)
+    public BlockActivator(String key, String namespaceId, int id)
     {
         super(key, namespaceId, id, Material.netherrack);
     }
@@ -32,7 +32,7 @@ public class ActivatorBlock extends VeryRotatableEntityBlock
     public boolean onBlockRightClicked(World world, int x, int y, int z, Player player, Side side, double xPlaced, double yPlaced)
     {
         if (!world.isClientSide) {
-            ActivatorBlockEntity dispenserBlockEntity = (ActivatorBlockEntity) world.getBlockEntity(x, y, z);
+            TileEntityActivator dispenserBlockEntity = (TileEntityActivator) world.getBlockEntity(x, y, z);
             player.displayActivatorScreen(dispenserBlockEntity);
         }
         return true;
@@ -40,12 +40,12 @@ public class ActivatorBlock extends VeryRotatableEntityBlock
 
     private void useItem(World world, int x, int y, int z, Random random)
     {
-        Direction direction = RotatableBlock.getDirectionFromMeta(world.getBlockMetadata(x, y, z));
+        Direction direction = BlockRotatable.getDirectionFromMeta(world.getBlockMetadata(x, y, z));
         int xOffset = direction.getOffsetX();
         int yOffset = direction.getOffsetY();
         int zOffset = direction.getOffsetZ();
 
-        ActivatorBlockEntity activator = (ActivatorBlockEntity)world.getBlockEntity(x, y, z);
+        TileEntityActivator activator = (TileEntityActivator)world.getBlockEntity(x, y, z);
         if (!activator.locked(activator.stackSelector)) {
             ItemStack itemStack = activator.getNextStack();
 
@@ -78,7 +78,7 @@ public class ActivatorBlock extends VeryRotatableEntityBlock
     public void onNeighborBlockChange(World world, int x, int y, int z, int blockId)
     {
         int meta = world.getBlockMetadata(x, y, z);
-        boolean flag = getNeighborSignal(world, x, y, z, RotatableBlock.getDirectionFromMeta(meta));
+        boolean flag = getNeighborSignal(world, x, y, z, BlockRotatable.getDirectionFromMeta(meta));
         if(flag && (meta & MASK_POWERED) == 0)
         {
             world.scheduleBlockUpdate(x, y, z, id, tickDelay());
@@ -120,9 +120,9 @@ public class ActivatorBlock extends VeryRotatableEntityBlock
     }
 
     @Override
-    protected BlockEntity getNewBlockEntity()
+    protected TileEntity getNewBlockEntity()
     {
-        return new ActivatorBlockEntity();
+        return new TileEntityActivator();
     }
 
 }
diff --git a/src/main/java/net/minecraft/core/block/AlgaeBlock.java b/src/main/java/net/minecraft/core/block/BlockAlgae.java
similarity index 90%
rename from src/main/java/net/minecraft/core/block/AlgaeBlock.java
rename to src/main/java/net/minecraft/core/block/BlockAlgae.java
index f068bce4b..6b2d71208 100644
--- a/src/main/java/net/minecraft/core/block/AlgaeBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockAlgae.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.vehicle.BoatEntity;
@@ -14,13 +14,13 @@ import net.minecraft.core.util.phys.AABB;
 
 // Referenced classes of package net.minecraft.src:
 //            Block, Material, World, AxisAlignedBB,
-//            IBlockAccess, Item, ItemEntity, ItemStack,
+//            IBlockAccess, Item, EntityItem, ItemStack,
 //            StatList, Player, EnumSkyBlock
 
-public class AlgaeBlock extends Block
+public class BlockAlgae extends Block
 {
 
-    protected AlgaeBlock(String key, String namespaceId, int id, Material material)
+    protected BlockAlgae(String key, String namespaceId, int id, Material material)
     {
         super(key, namespaceId, id, material);
         setBlockBounds(0.0F, -0.125F, 0.0F, 1.0F, 0.00625f, 1.0F);
@@ -71,7 +71,7 @@ public class AlgaeBlock extends Block
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         switch (dropCause)
         {
diff --git a/src/main/java/net/minecraft/core/block/AxisAlignedBlock.java b/src/main/java/net/minecraft/core/block/BlockAxisAligned.java
similarity index 91%
rename from src/main/java/net/minecraft/core/block/AxisAlignedBlock.java
rename to src/main/java/net/minecraft/core/block/BlockAxisAligned.java
index 2452f1a51..b18d96ae7 100644
--- a/src/main/java/net/minecraft/core/block/AxisAlignedBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockAxisAligned.java
@@ -8,9 +8,9 @@ import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.NotNull;
 
-public class AxisAlignedBlock extends Block {
+public class BlockAxisAligned extends Block {
 
-	public AxisAlignedBlock(String key, String namespaceId, int id, Material material) {
+	public BlockAxisAligned(String key, String namespaceId, int id, Material material) {
 		super(key, namespaceId, id, material);
 	}
 
diff --git a/src/main/java/net/minecraft/core/block/BasketBlock.java b/src/main/java/net/minecraft/core/block/BlockBasket.java
similarity index 72%
rename from src/main/java/net/minecraft/core/block/BasketBlock.java
rename to src/main/java/net/minecraft/core/block/BlockBasket.java
index c3ab79445..30043a126 100644
--- a/src/main/java/net/minecraft/core/block/BasketBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockBasket.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.block;
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
-import net.minecraft.core.block.entity.BlockEntity;
-import net.minecraft.core.block.entity.BasketBlockEntity;
+import net.minecraft.core.block.entity.TileEntityActivator;
+import net.minecraft.core.block.entity.TileEntity;
+import net.minecraft.core.block.entity.TileEntityBasket;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumDropCause;
@@ -12,9 +12,9 @@ import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.WorldSource;
 import net.minecraft.core.world.World;
 
-public class BasketBlock extends EntityBlock
+public class BlockBasket extends BlockTileEntity
 {
-    protected BasketBlock(final String blockName, String namespaceId, int id, final Material material)
+    protected BlockBasket(final String blockName, String namespaceId, int id, final Material material)
     {
         super(blockName, namespaceId, id, material);
     }
@@ -22,7 +22,7 @@ public class BasketBlock extends EntityBlock
     @Override
     public boolean onBlockRightClicked(final World world, final int x, final int y, final int z, final Player entityplayer, Side side, double xPlaced, double yPlaced)
     {
-        final BasketBlockEntity te = (BasketBlockEntity) world.getBlockEntity(x, y, z);
+        final TileEntityBasket te = (TileEntityBasket) world.getBlockEntity(x, y, z);
 
         if (te.getNumUnitsInside() > 0)
         {
@@ -35,8 +35,8 @@ public class BasketBlock extends EntityBlock
     }
 
     @Override
-    public void onActivatorInteract(World world, int x, int y, int z, ActivatorBlockEntity activator, Direction direction) {
-        final BasketBlockEntity te = (BasketBlockEntity) world.getBlockEntity(x, y, z);
+    public void onActivatorInteract(World world, int x, int y, int z, TileEntityActivator activator, Direction direction) {
+        final TileEntityBasket te = (TileEntityBasket) world.getBlockEntity(x, y, z);
 
         if (te.getNumUnitsInside() > 0)
         {
@@ -50,14 +50,14 @@ public class BasketBlock extends EntityBlock
     }
 
     @Override
-    protected BlockEntity getNewBlockEntity()
+    protected TileEntity getNewBlockEntity()
     {
-        return new BasketBlockEntity();
+        return new TileEntityBasket();
     }
 
     public int getFillLevel(final WorldSource world, final int x, final int y, final int z)
     {
-        final BasketBlockEntity te = (BasketBlockEntity) world.getBlockEntity(x, y, z);
+        final TileEntityBasket te = (TileEntityBasket) world.getBlockEntity(x, y, z);
 
         final float fill = te.getNumUnitsInside() / (float)te.getMaxUnits();
 
@@ -85,7 +85,7 @@ public class BasketBlock extends EntityBlock
     @Override
     public boolean getSignal(WorldSource worldSource, int x, int y, int z, Side side)
     {
-        BasketBlockEntity basketTileEntity = (BasketBlockEntity) worldSource.getBlockEntity(x, y, z);
+        TileEntityBasket basketTileEntity = (TileEntityBasket) worldSource.getBlockEntity(x, y, z);
         if(basketTileEntity != null){
             return basketTileEntity.getNumUnitsInside() == basketTileEntity.getMaxUnits();
         }
@@ -93,7 +93,7 @@ public class BasketBlock extends EntityBlock
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         return new ItemStack[] { new ItemStack(Items.BASKET) };
     }
diff --git a/src/main/java/net/minecraft/core/block/BedBlock.java b/src/main/java/net/minecraft/core/block/BlockBed.java
similarity index 96%
rename from src/main/java/net/minecraft/core/block/BedBlock.java
rename to src/main/java/net/minecraft/core/block/BlockBed.java
index ef326abf5..a66ddef1d 100644
--- a/src/main/java/net/minecraft/core/block/BedBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockBed.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.block;
 
 import net.minecraft.core.achievement.Achievements;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumDropCause;
@@ -13,9 +13,9 @@ import net.minecraft.core.world.World;
 import net.minecraft.core.world.WorldSource;
 import net.minecraft.core.world.chunk.ChunkCoordinates;
 
-public class BedBlock extends Block {
+public class BlockBed extends Block {
 
-	public BedBlock(String key, String namespaceId, int id) {
+	public BlockBed(String key, String namespaceId, int id) {
 		super(key, namespaceId, id, Material.wood);
 		setBounds();
 	}
@@ -113,7 +113,7 @@ public class BedBlock extends Block {
 	}
 
 	@Override
-	public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+	public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
 	{
 		return new ItemStack[] { new ItemStack(Items.BED) };
 	}
diff --git a/src/main/java/net/minecraft/core/block/BedrockBlock.java b/src/main/java/net/minecraft/core/block/BlockBedrock.java
similarity index 75%
rename from src/main/java/net/minecraft/core/block/BedrockBlock.java
rename to src/main/java/net/minecraft/core/block/BlockBedrock.java
index fd2d67119..68477c5b2 100644
--- a/src/main/java/net/minecraft/core/block/BedrockBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockBedrock.java
@@ -4,10 +4,10 @@ import net.minecraft.core.block.material.Material;
 import net.minecraft.core.util.helper.DyeColor;
 import net.minecraft.core.world.World;
 
-public class BedrockBlock
+public class BlockBedrock
 	extends Block
 {
-	public BedrockBlock(String key, String namespaceId, int id, Material material)
+	public BlockBedrock(String key, String namespaceId, int id, Material material)
     {
 		super(key, namespaceId, id, material);
 	}
@@ -16,7 +16,7 @@ public class BedrockBlock
 	public void onBlockPlacedByWorld(World world, int x, int y, int z)
     {
         if (world.getBlockId(x, y - 1, z) == Blocks.GLOWSTONE.id) {
-            ((PortalBlock) Blocks.PORTAL_PARADISE).tryToCreatePortal(world, x, y, z, DyeColor.SILVER);
+            ((BlockPortal) Blocks.PORTAL_PARADISE).tryToCreatePortal(world, x, y, z, DyeColor.SILVER);
         }
     }
 }
diff --git a/src/main/java/net/minecraft/core/block/BoneShaleBlock.java b/src/main/java/net/minecraft/core/block/BlockBoneShale.java
similarity index 79%
rename from src/main/java/net/minecraft/core/block/BoneShaleBlock.java
rename to src/main/java/net/minecraft/core/block/BlockBoneShale.java
index 5a238ebcf..931f5124d 100644
--- a/src/main/java/net/minecraft/core/block/BoneShaleBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockBoneShale.java
@@ -1,32 +1,32 @@
-package net.minecraft.core.block;
-
-import net.minecraft.core.block.material.Material;
-import net.minecraft.core.entity.player.Player;
-import net.minecraft.core.util.helper.Direction;
-import net.minecraft.core.util.helper.Side;
-import net.minecraft.core.world.World;
-
-public class BoneShaleBlock extends FullRotatableBlock {
-    public BoneShaleBlock(String translationKey, String namespaceId, int id, Material material) {
-        super(translationKey, namespaceId, id, material);
-    }
-
-    @Override
-    public float blockStrength(World world, int x, int y, int z, Side side, Player player) {
-        float blockHardness = this.blockHardness;
-        final int meta = world.getBlockMetadata(x, y, z);
-        final Direction direction = FullRotatableBlock.metaToDirection(meta);
-        if (side != direction.getSide()) {
-            blockHardness *= 66.6f;
-        }
-
-        if (!player.canHarvestBlock(this))
-        {
-            return 1.0F / blockHardness / 30F;
-        }
-        else
-        {
-            return player.getCurrentPlayerStrVsBlock(this) / blockHardness / 30F;
-        }
-    }
-}
+package net.minecraft.core.block;
+
+import net.minecraft.core.block.material.Material;
+import net.minecraft.core.entity.player.Player;
+import net.minecraft.core.util.helper.Direction;
+import net.minecraft.core.util.helper.Side;
+import net.minecraft.core.world.World;
+
+public class BlockBoneShale extends BlockFullyRotatable {
+    public BlockBoneShale(String translationKey, String namespaceId, int id, Material material) {
+        super(translationKey, namespaceId, id, material);
+    }
+
+    @Override
+    public float blockStrength(World world, int x, int y, int z, Side side, Player player) {
+        float blockHardness = this.blockHardness;
+        final int meta = world.getBlockMetadata(x, y, z);
+        final Direction direction = BlockFullyRotatable.metaToDirection(meta);
+        if (side != direction.getSide()) {
+            blockHardness *= 66.6f;
+        }
+
+        if (!player.canHarvestBlock(this))
+        {
+            return 1.0F / blockHardness / 30F;
+        }
+        else
+        {
+            return player.getCurrentPlayerStrVsBlock(this) / blockHardness / 30F;
+        }
+    }
+}
